Autor Téma: [VYŘEŠENO] Debian na velmi starém stroji - Zvládne grafickou kartu svobodný...  (Přečteno 1214 krát)

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Zdravím, díky diskusi na abclinuxu https://www.abclinuxu.cz/poradna/linux/show/462895 jsem se dozvěděl, že existuje ještě jiná distribuce linuxu, která si poradí se zastaralou grafickou kartou Nvidia i prostřednictvím open-source ovladačů. Potíž je v tom, že na Debian-Wheezy se mi už nedaří nainstalovat prohlížeč, který by podporoval stažení připojení insync k účtu nebo stažení klienta maga-cloud mega-sync. Bohužel nadějné Chromium instalované z repozitáře v archivu hlásí

Kód: [Vybrat]
navst-deb@debian-wheezy:~$ chromium


#
# Fatal error in v8/src/ia32/assembler-ia32.cc, line 53
# CHECK(cpu.has_sse2()) failed
#

==== C stack trace ===============================

 1: ??
 2: ??

...

27: ??
28: clone
Nedovolená instrukce (SIGILL)



Ostatní dostupné prohlížeče (např. Midori) shodně zase

Citace
Stránka 'http://www.seznam.cz/' nemůže být načtena.

SSL handshake failed

Je nějaká další 32 bit verze Debianu, která by mi dokázala dát výstup, tak jako Debian-Wheezy ?

Kód: [Vybrat]
navst-deb@debian-wheezy:~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI nv18 x86/MMX+/3DNow!+/SSE

Když výstup lspci -v pro grafiku je:

Kód: [Vybrat]
01:00.0 VGA compatible controller: NVIDIA Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev c1) (prog-if 00 [VGA controller])
Subsystem: CardExpert Technology Device 0427
Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 11
Memory at ee000000 (32-bit, non-prefetchable) [size=16M]
Memory at f0000000 (32-bit, prefetchable) [size=128M]
Expansion ROM at effe0000 [disabled] [size=128K]
Capabilities: <access denied>
Kernel driver in use: nouveau
« Poslední změna: 22. 01. 2021, 11:36:12 od Roman Horník »

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
U nvidia ma ta karta tento ovladac LINUX DISPLAY DRIVER VERSION 96.43.23

Offline Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.452
    • Zobrazit profil
Hoj,
problém je v tom, že je starej i procesor (zjevně vyrobenej před rokem 2000), a neumí instrukci SSE2. A SSL handshake failed značí nějakej problém buď s certifikátem, nebo se špatně nastaveným datem a časem systému - ověř.
Chromium nefunguje bez SSE2 od roku 2014 (do verze 34), Firefox nepotřeboval SSE2 do roku 2018 (52.9 ESR), takže štěstí můžeš zkusit leda s "přenosnou" verzí FF: http://ftp.mozilla.org/pub/firefox/releases/52.9.0esr/linux-i686/cs
Rozbalíš a spustíš ve vytvořený složce buď firefox, nebo firefox-bin.
Našel jsem i DEB balík jinýho distra, ale tam není vůbec jistý, jestli bys uspokojil závislosti.
Každopádně je stroj na dnešní dobu a technologie příliš starej.
Debian Sid/Experimental 64bit + Mate Desktop Environment
* CPU: Intel i5 3570
* GPU: NVIDIA GTX650 1GD5
* MB: Lenovo IH61M
* RAM: 16GiB Deutsche Demokratische Republik 3 @ 1600MHz

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Díky moc, mám ho víceméně z nostalgie a v Linuxu Mint 13 mi ještě donedávna zálohovali i oba cloudoví klienti Insync a Mega-sync - jen tam prostě nezvládal grafickou kartu svobodný ovladač, teď po instalaci Debianu, když jsem musel změnit mountpoint pro lokální adresář Mega-sync, ten má asi problém s právy, protože klient vytvořil všechny adresáře, ale není do nich schopen stáhnout žádné soubory - nemůžu najít nějaký přístup ke klientovi z konzole, aby mi vypsal, co vlastně řeší. Insync běží dál. ... V linux Mint mi také běží prohlížeč Tor, ze kterého se zatím lze dostat na webová úložiště.

Na Debianu-Wheezy je naopak sympatické, že svobodný ovladač běží jak ten proprietární v Linux Mint 13 - vlastně líp, detekuje i HD Ready TV jako monitor, to Nvidia ovladač v Linux Mint 13 nedokáže a nastavuje max. rozlišení 640 x 480 ač při připojení běžného monitoru nastavuje automaticky 1920 x 1080. Asi má problém detekovat hdmi té TV  - vypisuje, výstup jen jako "default". Ta TV, to už je také sběratelský kousek, kdybych nepřešel plně na IP-TV, tak ho taky nemám, takhle mi stačí Android Box za pár stovek a rozlišení HD READY mi v ložnici vyhovuje.

Díky, těším se, že vyzkouším ten Firefox, jestli to není novější verze. Jeden tu běží od instalace, jenže na Google Disk už ho to nepustí a protože Google začal vyžadovat přihlášení účtu k Insync od jisté doby jedině přes prohlížeč, je problém nastavit klienta také v Debianu-Wheezy.

Ještě kouknu do kouknu do konzole, jestli to nejde nějak obejít ... Mega-Sync se mi nedaří pro Debian-Wheezy najít, ze zoufalství bych mohl ještě zkusit nějakou 32 bit verzi přes wine.

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Píšu podruhé, protože fórum mě mezitím odhlásilo, ve chvíli,
kdy jsem si chtěl příspěvek prohlédnout :( Takže nejprve si to ukládám
do Leafpad

1) rozbalil jsem a spustil tu vezi firefox-52.9.0esr, sice s chybami,
nicméně otevřel se nabídl možnost nastavit ho jako defaultní,
já hned připojil Insyc, i na Google Drive mě to pustilo přes webové,
rozhraní. Pak se však stalo něco pro mě nevysvětlitelného, takže nejprve odcituji
výpis konzole při úspěšném spuštění a připojení Insync, pak poíšu, co jsem přesně
udělal, protože stojím o to pochopit, co se vlastně stalo a
kdy se to stalo, že na stejnou věc reaguje OS různými dvěma
způsoby

Kód: [Vybrat]
navst-deb@debian-wheezy:~/tar/firefox$ ./firefox
1611086507550 addons.repository WARN Search failed when repopulating cache

###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x2C0048,name=PBrowser::Msg___delete__) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x460102,name=PContent::Msg_AsyncMessage) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x2C0048,name=PBrowser::Msg___delete__) Channel closing: too late to send/recv, messages will be lost


###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost


###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost


###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost


###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost


###!!! [Child][MessageChannel] Error: (msgtype=0x4600AB,name=PContent::Msg_ConsoleMessage) Channel closing: too late to send/recv, messages will be lost

Pak jsem přepsal cestu v EXE= u Firefox.desktop na ploše LXDE
přesně k tomuto souboru firefox v té rozbalené složce,
a uložil ho jako Firefox-NEW.desktop.

Při dvojkliku jsem dostal toto hlášení
Citace
potomka nelze spustit přístup zamítnut

Ok, tak se jdu podívat ,jestli není něco s právy pro spouštění.
V mc to na mě svítí zeleně a ještě s hvězdičkou, tak se zdá, žen ne.

Jaké je však moje překvapení, že konzole píše úplně jiný výstup
a program nespustí

Kód: [Vybrat]
navst-deb@debian-wheezy:~/tar/firefox$ mc

navst-deb@debian-wheezy:~/tar/firefox$ ./firefox
This browser version requires a processor with the SSE2 instruction set extension.
You may be able to obtain a version that does not require SSE2 from your Linux distribution.

 :'( :'( :'(

Jak to že to nepsala poprvé?

Další záhada ikony, které měli být naploše, obě zmizeli.

Protože to mám ještě otevřeno v Leafpad - oboje znuvu ukládám.

Nyní mám na ploše ikony 2 a spustit lze jen ten původní, pomalý
Mozilla Firefox 45.2.0

Díky komukolim, kdo mi to objasní. Co akdy se vlatně stalo...

Jinak
Citace
Nad mé chápání jsou tyto divy, jsou nedostupné, nestačím na to.

/ŽALM 193, verš 6/ http://biblenet.cz/b/Ps/139

Omlouvám se, že ukládám s překlepy, na tu pomalou sekající se verzi Firefoxu
už nemám nervy ... Insyc dál synchronizuje ... sjem zvědav, co zjistím zítra .. ::)

Offline Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.452
    • Zobrazit profil
Mmmmm... no, se synchronizací se vzdáleným úložištěm praxi nemám (nepotřebuju to, mám místní), tak snad to onou synchronizací nebude. Ale je možný, že ona synchronizace nepodporuje oprávnění.
ALE, co se tejče .desktop souboru, neměl by bejt náhodou spustitelnej, konkrétně s oprávněním 777 (chmod 777 soubor.desktop)?
Firefox je hodně komplexní kousek softwaru, tak trochu šitej horkou jehlou (protože se v něm hrabe každej, kdo má do prdele díru; ale podobně tomu je i u ostatních prohlížečů, a vlastně nejen u nich), takže, jestliže se spustí a funguje, chyb si nevšímej. Jestli chce SSE2, stáhni ještě o trochu starší verzi.
Svobodný ovladače pro NV nebyly nikdy výkonný, a jestliže proprietární nepočítá s rádobyHD rozlišením (1366×768), tak ho leda můžeš zkusit ukecat souborem xorg.conf ze složky /etc/X11, kterej ale musíš vytvořit a pro svou kartu a rozlišení najít jeho obsah na webu. Jako MX440 jsem kdysi provozoval, ale ta karta je pradávná historie, vždyť je ještě píchnutá do AGPx8!

Spíš ale doporučuju dát tenhle kousek do muzea a pořídit si stroj aspoň o 5-10 let mladší. Jasně, proti je nostalgie, ale proti tý je rychle se rozvíjející web, takže se může stát, že do roka a do dne nebude kvůli starýmu prohlížeči spousta webů fungovat, protože budou vsázet na nový technologie - přece jen jeho evoluci nebrzdí Exploder 6, pro kterýho se musely zvlášť psát quirky, a aby web nějak vypadal, nadužíval se Flash, kterej je taky už mrtvej (naštěstí). A to nemluvím o všudypřítomný reklamě, která sestává z videí, už dávno ne ze statických obrázků. Nakonec je tady kvůli tomu, že používáš nepodporovanej systém, prohlížeč a ovladač, nemalý bezpečnostní riziko.
Debian Sid/Experimental 64bit + Mate Desktop Environment
* CPU: Intel i5 3570
* GPU: NVIDIA GTX650 1GD5
* MB: Lenovo IH61M
* RAM: 16GiB Deutsche Demokratische Republik 3 @ 1600MHz

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Tak už jsem na to přišel, jakákoli verze Firefoxu, stažená z toho doporučeného archivu firefox se nejspíš poprvé vždy spustí. Jakmile ale skončí, OS ji z nějakého důvodu zakáže a tvrdí, že potřebuje SS2. Zkusil jsem teda nižší verzi než mi byla doporučena.Opět ji spustil. Opět mi firefox nabídl možnost nastavit ho jako defaultní, opět se dostal na Google disk ... Podruhé už ale také nelze spustit. Kam si to ten OS píše, co zakáže spustit kvůli chybám při prvním spuštění? Nešlo by to obejít tak, že bych mu to pokaždé smazal a on by si myslel, že ho pouští poprvé? Jsem z roho jelen .... 

V repozitáři jsem naštěstí našel NetSurf, takže můžu odepsat. Píšou o něm, že má nějakou minimální podporu javascript, tak se asi zítra zaměřím na to, jak ho tam umožnit.

Díky za jakýkoli další postřeh

Offline radek_dr

  • Začátečník
  • **
  • Příspěvků: 37
    • Zobrazit profil
    • Počasí Kučerov
Jen nápad: Není možné, že se Firefox kvůli chybě neukončí úplně? Všiml jsem si, že F-ESR má (pro mne) nepříjemnou vlastnost - nejde spustit vícekrát. Když ho mám spuštěný a kliknu někde na odkaz, místo nového spuštění a otevření okna vyhlásí chybu, že už je spuštěn. Nevím jestli je to chyba nebo záměr, ale je to otravné. Stáhl jsem "normální" verzi z Mozilly, rozbalil a ta funguje bez problémmů...
S nepodporovaným procesorem to nejspíš nesouvisí, ale...
Acer Swift1, N4200 2.5 GHz max., 4GB RAM, 64+250GB SSD, Intel graphic, Debian 10 Cinnamon
Intel NUC,  Celeron J3455, 4GB RAM, 256GB SSD, Debian 10 server, LAMP...
AS8940G, Intel i7 ..., LM19 xfce

Nikdo není dokonalý !

Offline Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.452
    • Zobrazit profil
Když za příkaz pro spuštění FF dáš -no-remote, pak by měl jít spustit víckrát. Ale to není důvod, proč by najednou měl vyžadovat SSE2. Koukni, jestli neseženeš FF verze 49 (je to rok 2015).
Debian Sid/Experimental 64bit + Mate Desktop Environment
* CPU: Intel i5 3570
* GPU: NVIDIA GTX650 1GD5
* MB: Lenovo IH61M
* RAM: 16GiB Deutsche Demokratische Republik 3 @ 1600MHz

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Tak to je rada nad zlato!

smazal jsem celý adresář a znovu rozbalil ten původně doporučený

http://ftp.mozilla.org/pub/firefox/releases/52.9.0esr/linux-i686/cs

dal tam ten parametr -no-remote  a šlape :) :) :)

Už mám i zástupce na ploše, právě mi zase otevřel můj Disk Google

Díky moc ...

Offline JTS

  • Nováček
  • *
  • Příspěvků: 7
    • Zobrazit profil
Ještě chci přidat informaci, že stále se dá stáhnout a nainstalovat Mega Cload klient MagaSync, ačkoli podpora pro 32 bit stroje byla ukončena, stále po stažení z repozitáře (viz níže) a vyřešení závislostí (stačí se orientovat výpisy z konzole při zadání
Kód: [Vybrat]
dpkg -i megasync_4.0.2+1.1_i386.deb
Zde je ten zdorj balíčku:
Citace
https://mega.nz/linux/MEGAsync/Debian_7.0/i386/